ALTER TABLE "<MI_ESQUEMA>"."OBJETIVOS" DROP PRIMARY KEY CASCADE;

DROP TABLE "<MI_ESQUEMA>"."OBJETIVOS" CASCADE CONSTRAINTS;

CREATE TABLE "<MI_ESQUEMA>"."OBJETIVOS" (
	"ID_OBJETIVO" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"DESC_OBJETIVO" VARCHAR2(50 BYTE) 
)
TABLESPACE "<MI_ESQUEMA>"
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          1M
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


COMMENT ON TABLE "<MI_ESQUEMA>"."OBJETIVOS" IS 'Tabla que recoge los objetivos de permisos de la aplicación ';

COMMENT ON COLUMN "<MI_ESQUEMA>"."OBJETIVOS"."ID_OBJETIVO" IS 'El identificador del objetivo';

COMMENT ON COLUMN "<MI_ESQUEMA>"."OBJETIVOS"."DESC_OBJETIVO" IS 'La descripción del objetivo';


CREATE UNIQUE INDEX "<MI_ESQUEMA>"."PK_OBJETIVOS" ON "<MI_ESQUEMA>"."OBJETIVOS"
("ID_OBJETIVO")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;

ALTER TABLE "<MI_ESQUEMA>"."OBJETIVOS" ADD (

  CONSTRAINT "PK_OBJETIVOS" PRIMARY KEY ("ID_OBJETIVO")
    USING INDEX TABLESPACE "IND<MI_ESQUEMA>"
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          1M
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),

 );

GRANT DELETE, INSERT, SELECT, UPDATE ON "<MI_ESQUEMA>"."OBJETIVOS" TO "JV_<MI_ESQUEMA>";
