ALTER TABLE "<MI_ESQUEMA>"."ROLES" DROP PRIMARY KEY CASCADE;

DROP TABLE "<MI_ESQUEMA>"."ROLES" CASCADE CONSTRAINTS;

CREATE TABLE "FUNDEWEB"."ROLES" (
	"ID_ROL" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"DESCRIPCION" VARCHAR2(50 BYTE), 
	"ROL_PADRE" VARCHAR2(20 BYTE)
)
TABLESPACE "<MI_ESQUEMA>"
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          1M
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


COMMENT ON TABLE "<MI_ESQUEMA>"."ROLES" IS 'Tabla que recoge los roles de la aplicación';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES"."ID_ROL" IS 'El identificador del rol';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES"."DESCRIPCION" IS 'La descripción del rol';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES"."ROL_PADRE" IS 'El rol padre';


CREATE UNIQUE INDEX "<MI_ESQUEMA>"."PK_ROLES" ON "<MI_ESQUEMA>"."ROLES"
("ID_ROL")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX "<MI_ESQUEMA>"."FK_ROL_PADRE" ON "<MI_ESQUEMA>"."USUARIOS_ROLES"
("ROL_PADRE")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;

ALTER TABLE "<MI_ESQUEMA>"."ROLES" ADD (

  CONSTRAINT "PK_ROLES" PRIMARY KEY ("ID_ROL")
    USING INDEX TABLESPACE "IND<MI_ESQUEMA>"
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          1M
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),
			   
  CONSTRAINT "FK_ROL_PADRE" FOREIGN KEY ("ROL_PADRE")
	  REFERENCES "PORTALFUNDEWEB"."ROLES" ("ID_ROL") ENABLE
 );

GRANT DELETE, INSERT, SELECT, UPDATE ON "<MI_ESQUEMA>"."ROLES" TO "JV_<MI_ESQUEMA>";
