ALTER TABLE "<MI_ESQUEMA>"."ROLES_OBJETIVOS" DROP PRIMARY KEY CASCADE;

DROP TABLE "<MI_ESQUEMA>"."ROLES_OBJETIVOS" CASCADE CONSTRAINTS;

CREATE TABLE "FUNDEWEB"."ROLES_OBJETIVOS" (
	"ID" NUMBER NOT NULL ENABLE, 
	"ID_ROL" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"ID_OBJETIVO" VARCHAR2(20 BYTE) NOT NULL ENABLE, 
	"ACCION" VARCHAR2(20 BYTE) NOT NULL ENABLE
)
TABLESPACE "<MI_ESQUEMA>"
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          1M
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


COMMENT ON TABLE "<MI_ESQUEMA>"."ROLES_OBJETIVOS" IS 'Tabla que recoge la relación de los roles con los ojetivos de la aplicación';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES_OBJETIVOS"."ID" IS 'El identificador de la relación';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES_OBJETIVOS"."ID_ROL" IS 'El identificador del rol';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES_OBJETIVOS"."ID_OBJETIVO" IS 'El identificador del objetivo';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES_OBJETIVOS"."ACCION" IS 'La acción que se le permite realizar al rol sobre el objetivo';


CREATE UNIQUE INDEX "<MI_ESQUEMA>"."PK_ROLES_OBJETIVOS" ON "<MI_ESQUEMA>"."ROLES_OBJETIVOS"
("ID")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;

CREATE INDEX "<MI_ESQUEMA>"."FK_ROL" ON "<MI_ESQUEMA>"."ROLES_OBJETIVOS"
("ID_ROL")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX "<MI_ESQUEMA>"."FK_OBJETIVO" ON "<MI_ESQUEMA>"."ROLES_OBJETIVOS"
("ID_OBJETIVO")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;

ALTER TABLE "<MI_ESQUEMA>"."ROLES_OBJETIVOS" ADD (

  CONSTRAINT "PK_ROLES_OBJETIVOS" PRIMARY KEY ("ID")
    USING INDEX TABLESPACE "IND<MI_ESQUEMA>"
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          1M
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),

  CONSTRAINT "FK_ROL" FOREIGN KEY ("ID_ROL")
	  REFERENCES "<MI_ESQUEMA>"."ROLES" ("ID_ROL") ON DELETE CASCADE ENABLE, 
 
  CONSTRAINT "FK_OBJETIVO" FOREIGN KEY ("ID_OBJETIVO")
	  REFERENCES "<MI_ESQUEMA>"."OBJETIVOS" ("ID_OBJETIVO") ON DELETE CASCADE ENABLE

 );

GRANT DELETE, INSERT, SELECT, UPDATE ON "<MI_ESQUEMA>"."ROLES_OBJETIVOS" TO "JV_<MI_ESQUEMA>";
