ALTER TABLE "<MI_ESQUEMA>"."ROLES_USUARIOS" DROP PRIMARY KEY CASCADE;

DROP TABLE "<MI_ESQUEMA>"."ROLES_USUARIOS" CASCADE CONSTRAINTS;

CREATE TABLE "FUNDEWEB"."ROLES_USUARIOS" (
	"ID_ROL_USU" NUMBER(19,0) NOT NULL ENABLE,
	"ID_ROL" VARCHAR2(20 BYTE) NOT NULL ENABLE,
	"LOGIN" VARCHAR2(30 BYTE) NOT NULL ENABLE
)
TABLESPACE "<MI_ESQUEMA>"
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          1M
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


COMMENT ON TABLE "<MI_ESQUEMA>"."ROLES_USUARIOS" IS 'Tabla que recoge la relación de los roles con los usuario de la aplicación';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES_USUARIOS"."ID_ROL_USU" IS 'El identificador de la relación';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES_USUARIOS"."ID_ROL" IS 'El identificador del rol';

COMMENT ON COLUMN "<MI_ESQUEMA>"."ROLES_USUARIOS"."LOGIN" IS 'El nombre de usuario en la aplicación';


CREATE UNIQUE INDEX "<MI_ESQUEMA>"."PK_ROLES_USUARIOS" ON "<MI_ESQUEMA>"."ROLES_USUARIOS"
("ID_ROL_USU")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;

CREATE INDEX "<MI_ESQUEMA>"."FK_ROL" ON "<MI_ESQUEMA>"."ROLES_USUARIOS"
("ID_ROL")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX "<MI_ESQUEMA>"."FK_USUARIO" ON "<MI_ESQUEMA>"."ROLES_USUARIOS"
("LOGIN")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;

ALTER TABLE "<MI_ESQUEMA>"."ROLES_USUARIOS" ADD (

  CONSTRAINT "PK_ROLES_USUARIOS" PRIMARY KEY ("ID_ROL_USU")
    USING INDEX TABLESPACE "IND<MI_ESQUEMA>"
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          1M
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),

  CONSTRAINT "FK_ROL" FOREIGN KEY ("ID_ROL")
	  REFERENCES "<MI_ESQUEMA>"."ROLES" ("ID_ROL") ON DELETE CASCADE ENABLE, 
 
  CONSTRAINT "FK_USUARIO" FOREIGN KEY ("LOGIN")
	  REFERENCES "<MI_ESQUEMA>"."USUARIOS" ("LOGIN") ON DELETE CASCADE ENABLE

 );

GRANT DELETE, INSERT, SELECT, UPDATE ON "<MI_ESQUEMA>"."ROLES_USUARIOS" TO "JV_<MI_ESQUEMA>";
