ALTER TABLE "<MI_ESQUEMA>"."USUARIOS" DROP PRIMARY KEY CASCADE;

DROP TABLE "<MI_ESQUEMA>"."USUARIOS" CASCADE CONSTRAINTS;

CREATE TABLE "<MI_ESQUEMA>"."USUARIOS" (
	"LOGIN" VARCHAR2(40 BYTE) NOT NULL ENABLE
)
TABLESPACE "<MI_ESQUEMA>"
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          1M
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


COMMENT ON TABLE "<MI_ESQUEMA>"."USUARIOS" IS 'Tabla que recoge los usuarios con permisos de la aplicación ';

COMMENT ON COLUMN "<MI_ESQUEMA>"."USUARIOS"."LOGIN" IS 'El nombre de usuario con que se autentica el usuario';


CREATE UNIQUE INDEX "<MI_ESQUEMA>"."PK_USUARIOS" ON "<MI_ESQUEMA>"."USUARIOS"
("LOGIN")
LOGGING
TABLESPACE "IND<MI_ESQUEMA>"
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          16K
            NEXT             5M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;

ALTER TABLE "<MI_ESQUEMA>"."USUARIOS" ADD (

  CONSTRAINT "PK_USUARIOS" PRIMARY KEY ("LOGIN")
    USING INDEX TABLESPACE "IND<MI_ESQUEMA>"
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          1M
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),

 );

GRANT DELETE, INSERT, SELECT, UPDATE ON "<MI_ESQUEMA>"."USUARIOS" TO "JV_<MI_ESQUEMA>";
